import sys

debugMode = 0

def debug(paramName, value):
	if debugMode:
		print "----------- " + paramName + " ---------"
		print value
		print AdminConfig.show(value)

def enableFips():
	cells = AdminConfig.list("Cell")
	cell = cells.split("\r\n")[0]

	secObjects = AdminConfig.list("Security", cell)
	secObject = secObjects.split("\r\n")[0]

	propsList = AdminConfig.showAttribute(secObject, "properties")
	localProp = ""
	if len(propsList) != 0:
		propsLength = len(propsList) - 1
		props =  propsList[1:propsLength].split(" ")
		for prop in props:
			name = AdminConfig.showAttribute(prop, "name")
			value = AdminConfig.showAttribute(prop, "value")
			if debugMode:
				print "Found "+name+"="+value
			if name == "com.ibm.security.useFIPS":
				print "\tEnabling FIPS compatibility"
				attrs = [["value", "true"]]
				AdminConfig.modify(prop, attrs)

	if not debugMode:
		AdminConfig.save()
	else:
		print "Done."
#end def
  
  
#-----------------------------------------------------------------------------
# Main entry point
#-----------------------------------------------------------------------------

enableFips()
