import sys

# sys.argv[0] - name of ear
# sys.argv[1] - policy mode (SINGLE or MULTIPLE)

if len(sys.argv) < 2:
	print "usage: setClassLoaderPolicy.jy <name of ear> <policy>"
	sys.exit(1)
	
if cmp(sys.argv[1], 'SINGLE') != 0  and cmp(sys.argv[1], 'MULTIPLE') != 0:
	print "<policy> can be either SINGLE or MULTIPLE"
	sys.exit(1)

app = AdminConfig.getid("/Deployment:" + sys.argv[0] + "/")

if len(app) == 0:
	print "Application '" + sys.argv[0] + "' does not exist."
	sys.exit(1)

# Identify the deployed object
deployedObject = AdminConfig.showAttribute(app, "deployedObject")

# Show the current attribute values of the configuration object
print "Old warClassLoaderPolicy:"
print AdminConfig.show(deployedObject, 'warClassLoaderPolicy')

# Modify the attributes of the configuration object
AdminConfig.modify(deployedObject, [['warClassLoaderPolicy', sys.argv[1]]])

# Show the new  attribute values of the configuration object
print "New warClassLoaderPolicy:"
print AdminConfig.show(deployedObject, 'warClassLoaderPolicy')    

#save it
AdminConfig.save()
