params = sys.argv[0].split()

class_bound = params[0]; 

securityExt=AdminConfig.list("Security");
sysLoginExt=AdminConfig.showAttribute(securityExt,"systemLoginConfig");
entryList=AdminConfig.showAttribute(sysLoginExt,"entries");

if len(entryList) != 0:
    entryListLength = len(entryList)-1
    entryLists =  entryList[1:entryListLength].split(" ")
    for entry in entryLists:
      entryAlias=AdminConfig.showAttribute(entry,"alias")
      if entryAlias=="WEB_INBOUND":
         entryBlock=AdminConfig.showAttribute(entry,"loginModules")
         if len(entryBlock) != 0:
                 presCl=1
                 entryBlockLength = len(entryBlock)-1
                 entryBlocks =  entryBlock[1:entryBlockLength].split(" ")
                 for entryBlockClass in entryBlocks:
                    classmod=AdminConfig.showAttribute(entryBlockClass,"moduleClassName")
                    if classmod==class_bound:
                        presCl=0
                 if presCl==0:
                    print "Module "+class_bound+" has't been mapped to WEB_INBOUND system login"
                 else:
                    AdminConfig.create("JAASLoginModule", entry, [["moduleClassName",class_bound],["authenticationStrategy","REQUIRED"]],"loginModules")
                    print "Module "+class_bound+" has been mapped to WEB_INBOUND system login" 
                    AdminConfig.save()                
         else:
                 print "Empty"
                 sys.exit(1)
else:
    print "Error"
    sys.exit(1)