import sys

params = sys.argv
if len(params)<3:
  print "usage: createLib.py <libName> <serverName> <classPath>"
  sys.exit(1)

libName = params[0];
serverName = params[1];
classPath = params[2];

library = AdminConfig.getid('/Library:'+libName+'/')
if len(library) == 0:
	print libName+" does not exist, will create one..."
	cell_name = AdminControl.getCell();
	node_name = AdminControl.getNode();
	print 'Retrieving ID for /Cell:'+cell_name+'/Node:'+node_name+'/Server:'+serverName+'/'
	serv = AdminConfig.getid('/Cell:'+cell_name+'/Node:'+node_name+'/Server:'+serverName+'/')
	print serv
	library = AdminConfig.create('Library', serv, [['name', libName], ['classPath', classPath] ])
	print "Library created"
	AdminConfig.save()
else:
	print "Library "+ libName+" already exists. Ignoring"

print "Done."
