import sys

#deploy app into ISC
appOptions = "[-operation add -contents '" + sys.argv[1] + "//systemApps//isclite.ear//" + sys.argv[0] + ".war' -contenturi " + sys.argv[0] +".war"
appOptions  = appOptions  + " -custom paavalidation=true  -usedefaultbindings -contextroot" + " /ibm/" + sys.argv[0] + " -MapWebModToVH [[.* .* admin_host]]]"
AdminApp.update("isclite", "modulefile", appOptions)  
AdminConfig.save()

#Set the classloader to PARENT_LAST 
lineSeparator = java.lang.System.getProperty('line.separator')

app = AdminConfig.getid("/Deployment:isclite/")
webModules = AdminConfig.list("WebModuleDeployment", app)
wmList = webModules.split(lineSeparator)

foundWar = 0

for webModule in wmList:
    uri = AdminConfig.showAttribute(webModule, "uri")
    if uri == sys.argv[0]+".war":
        print "found " + sys.argv[0] + ".war"
        #modify the classloader for this .war
        cl = AdminConfig.list("Classloader", webModule)
        #check if classloader exists
        if len(cl) == 0:
            print "no classloader exists, create a new one with PARENT_LAST"
            AdminConfig.create('Classloader', webModule, [['mode', 'PARENT_LAST']])
        else:
            print "modify existing classloader"
            AdminConfig.modify(cl, [['mode', 'PARENT_LAST']])
        AdminConfig.save()
        foundWar = 1
        break

if foundWar == 0:
    print "WAR " + sys.argv[0] + ".war not found"

