# Set the classloader to sys.argv[1] usage: setWarClassLdrMode.py <EARNAME> <WARNAME> <MODE_NAME> 
import sys 

lineSeparator = java.lang.System.getProperty('line.separator') 

# specify ear file
app = AdminConfig.getid('/Deployment:'+sys.argv[0]+'/') 
webModules = AdminConfig.list("WebModuleDeployment", app) 
wmList = webModules.split(lineSeparator) 

foundWar = 0 

for webModule in wmList: 
    uri = AdminConfig.showAttribute(webModule, "uri") 
    if uri == sys.argv[1]+".war": 
        print "found " + sys.argv[1] + ".war" 
        #modify the classloader for this .war 
        cl = AdminConfig.list("Classloader", webModule) 
        #check if classloader exists 
        if len(cl) == 0: 
            print "no classloader exists, create a new one with " + sys.argv[2] 
            AdminConfig.create('Classloader', webModule, [['mode', sys.argv[2]]]) 
        else: 
            print "modify existing classloader" 
            AdminConfig.modify(cl, [['mode', sys.argv[2]]]) 
        AdminConfig.save() 
        foundWar = 1 
        break 

if foundWar == 0: 
    print "WAR " + sys.argv[0] + ".war not found" 
