params = sys.argv[0].split()

class_bound = params[0]; 

securityExt=AdminConfig.list("Security");
sysLoginExt=AdminConfig.showAttribute(securityExt,"systemLoginConfig");
entryList=AdminConfig.showAttribute(sysLoginExt,"entries");

if len(entryList) != 0:
    entryListLength = len(entryList)-1
    entryLists =  entryList[1:entryListLength].split(" ")
    for entry in entryLists:
      entryAlias=AdminConfig.showAttribute(entry,"alias")
      if entryAlias=="WEB_INBOUND":
         entryBlock=AdminConfig.showAttribute(entry,"loginModules")
         if len(entryBlock) != 0:
                 newEntryBlock = [];
                 entryBlockLength = len(entryBlock)-1
                 entryBlocks = entryBlock[1:entryBlockLength].split(" ")
                 orderNo=-1;
                 i=0;
                 for entryBlockClass in entryBlocks:
                    classmod=AdminConfig.showAttribute(entryBlockClass,"moduleClassName");
                    strategy=AdminConfig.showAttribute(entryBlockClass,"authenticationStrategy");
                    #print classmod+"="+strategy
                    options=AdminConfig.showAttribute(entryBlockClass,"options")
                    if options!='[]':
                        print "Moving properties is not supported"
                        sys.exit(1)
                    if classmod==class_bound:
                        #print "Insert to list at 0: ", [["moduleClassName", classmod], ["authenticationStrategy", strategy]]
                        newEntryBlock.insert(0, [["moduleClassName", classmod], ["authenticationStrategy", strategy]]);
                        orderNo=i;
                    else:
                        #print "Added to list: ", [["moduleClassName", classmod], ["authenticationStrategy", strategy]]
                        newEntryBlock.append([["moduleClassName", classmod], ["authenticationStrategy", strategy]]);
                    i=i+1;
                    AdminConfig.remove(entryBlockClass)
                 if orderNo>0:
                    print "Module "+class_bound+" for WEB_INBOUND system login will be moved from #"+`orderNo+1`+" to top (#1)"
                    print "List: ", newEntryBlock
                    for newModule in newEntryBlock:
                        AdminConfig.create("JAASLoginModule", entry, newModule, "loginModules")
                        AdminConfig.save() 
                 else:
                    print "Module "+class_bound+" has not been moved from position #"+`orderNo+1`
         else:
                 print "Empty"
                 sys.exit(1)
else:
    print "Error"
    sys.exit(1)

print "Done."
sys.exit(0)
